Tool to assess WP version needed

I don’t know if I’ve mentioned it here before, but I have often used a tool called Plugin Doctor https://wpseek.com/pluginfilecheck/
to check the minimum required version of WP needed by the functions used. It is named and built for plugins, but I used it mostly for themes, while reviewing them, so I know it works for both.

Basically, you drop a zip file on the page and it finds all the WP functions that are called. It tells you the WP version number you need to run that code.
You can use this to easily find the functions that were added to WP since the CP fork, which helps when forking a plugin or figuring out if you can fix one to work in CP.

The tool recently had some problem, but I went there today and it’s working again, although the interface looks a little different than it used to.

9 Likes